Skip to main content
GET
/
commerce
/
rules
/
reservation
/
{code}
Error
A valid request URL is required to generate request examples
{
  "auditInfo": {
    "createBy": "<string>",
    "createDate": "2023-11-07T05:31:56Z",
    "updateBy": "<string>",
    "updateDate": "2023-11-07T05:31:56Z"
  },
  "callOffOrderRules": [
    "<string>"
  ],
  "code": "<string>",
  "customerRules": [
    "<string>"
  ],
  "description": "<string>",
  "enabled": true,
  "metaData": "<unknown>",
  "name": "<string>",
  "productRules": [
    {
      "code": "<string>",
      "masterCatalogId": 123
    }
  ],
  "rank": 123,
  "sortAttribute": "<string>",
  "timeFenceDays": 123,
  "validForAllSites": true,
  "validSites": [
    123
  ]
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

code
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

OK

Reservation Rule contract (CAT-7686)

auditInfo
object
callOffOrderRules
string[] | null

Referenced call-off-order rule codes. Max 1 entry.

code
string | null

Unique identifier. Auto-generated when omitted on create.

customerRules
string[] | null

Referenced customer rule codes. Max 1 entry.

description
string | null

Optional description, max 500 chars.

enabled
boolean | null

Whether the rule is active. Defaults to true on insert.

metaData
any | null

Opaque JSON metadata. Passed through unchanged.

name
string | null

Display name. Required, max 200 chars.

productRules
object[] | null

Referenced product rules. Max 1 entry.

rank
integer<int32>

Priority rank, unique per master catalog within the tenant. Auto-assigned when omitted or ≤0.

sortAttribute
string | null

Optional tiebreaker attribute name used by the reservation engine when two call-off orders match. Max 50 chars.

timeFenceDays
integer<int32>

Time fence in days. Inclusive [0, 365].

validForAllSites
boolean | null

When true the rule applies to all sites; ValidSites is ignored.

validSites
integer<int32>[] | null

Site IDs this rule applies to. Optional — when omitted and ValidForAllSites is not true, the server auto-sets ValidForAllSites=true (FR-022).